Skip to content

Sends an authorization email then links the current user to a contact with a different email address

Request

Sends an authorization email then links the current user to a contact with a different email address

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

emailAddressstringrequired

The email address of the contact to link to.

Bodyapplication/jsonrequired

Payload options

returnUrlstring
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/portal/{emailAddress}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "returnUrl": "string"
  }'

Responses

The order process was started

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Body*/*
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{
  "executionArn": "string",
  "notification_channel": "string",
  "notification_publishKey": "string",
  "notification_subscribeKey": "string",
  "start_date": "2019-08-24T14:15:22Z"
}